POST api/Plugin/EditActiveScenario
Request Information
URI Parameters
None.
Body Parameters
RecommendedScenario| Name | Description | Type | Additional information |
|---|---|---|---|
| scenarioId | integer |
None. |
|
| scenarioName | string |
None. |
|
| scenarioJSON | string |
None. |
|
| scenarioJSONUrl | string |
None. |
|
| scenarioGUID | globally unique identifier |
None. |
|
| newScenarioGUID | globally unique identifier |
None. |
|
| scenarioDescription | string |
None. |
|
| userguid | globally unique identifier |
None. |
|
| applicationId | integer |
None. |
|
| packageName | string |
None. |
|
| TestDataIDs | string |
None. |
|
| Labels | string |
None. |
|
| Priority | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"scenarioId": 1,
"scenarioName": "sample string 2",
"scenarioJSON": "sample string 3",
"scenarioJSONUrl": "sample string 4",
"scenarioGUID": "253c9e9a-14f6-4457-9c46-29d999422ee7",
"newScenarioGUID": "dcd73f0a-1a05-4810-85dc-55c36b529c2d",
"scenarioDescription": "sample string 7",
"userguid": "e6db136f-cde6-47f3-809c-d73bc1572da8",
"applicationId": 9,
"packageName": "sample string 10",
"TestDataIDs": "sample string 11",
"Labels": "sample string 12",
"Priority": "sample string 13"
}
application/xml, text/xml
Sample:
<IDEPlugin.RecommendedScenario xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SofyWebApi.Classes"> <Labels>sample string 12</Labels> <Priority>sample string 13</Priority> <TestDataIDs>sample string 11</TestDataIDs> <applicationId>9</applicationId> <newScenarioGUID>dcd73f0a-1a05-4810-85dc-55c36b529c2d</newScenarioGUID> <packageName>sample string 10</packageName> <scenarioDescription>sample string 7</scenarioDescription> <scenarioGUID>253c9e9a-14f6-4457-9c46-29d999422ee7</scenarioGUID> <scenarioId>1</scenarioId> <scenarioJSON>sample string 3</scenarioJSON> <scenarioJSONUrl>sample string 4</scenarioJSONUrl> <scenarioName>sample string 2</scenarioName> <userguid>e6db136f-cde6-47f3-809c-d73bc1572da8</userguid> </IDEPlugin.RecommendedScenario>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |